Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

greylisting: added upgrade note

  • Loading branch information...
commit 15bf425fe4022b09534a3241fb5ac0b8f6004d50 1 parent 51486d0
Matt Simerson msimerson authored
Showing with 13 additions and 3 deletions.
  1. +13 −3 UPGRADING
16 UPGRADING
View
@@ -3,10 +3,20 @@ When upgrading from:
v 0.84 or below
-SPF plugin: spf_deny setting deprecated. Use reject N setting instead, which provides administrators with more granular control over SPF. For backward compatibility, a spf_deny setting of 1 is mapped to 'reject 3' and a 'spf_deny 2' is mapped to 'reject 4'.
+GREYLISTING plugin:
-p0f plugin: now defaults to p0f v3
+ 'mode' config argument is deprecated. Use reject and reject_type instead.
-Upgrade p0f to version 3 or add 'version 2' to your p0f line in config/plugins. perldoc plugins/ident/p0f for more details.
+ The greylisting DB format has changed to accommodate IPv6 addresses. (The DB key has colon ':' seperated fields, and IPv6 addresses are colon delimited). The new format converts the IPs into integers. There is a new config option named 'upgrade' that when enabled, updates all the records in your DB to the new format. Simply add 'upgrade 1' to the plugin entry in config/plugins, start up qpsmtpd once, make one connection. A log entry will be made, telling how many records were upgraded. Remove the upgrade option from your config.
+
+SPF plugin:
+
+ spf_deny setting deprecated. Use reject N setting instead, which provides administrators with more granular control over SPF. For backward compatibility, a spf_deny setting of 1 is mapped to 'reject 3' and a 'spf_deny 2' is mapped to 'reject 4'.
+
+
+P0F plugin:
+ defaults to p0f v3 (was v2).
+
+ Upgrade p0f to version 3 or add 'version 2' to your p0f line in config/plugins. perldoc plugins/ident/p0f for more details.
Please sign in to comment.
Something went wrong with that request. Please try again.